Functions
IT_Management
Peripheral Driver » LL Driver » SPI » Functions
Collaboration diagram for IT_Management:

## Functions
__STATIC_INLINE void | ll_spi_enable_it (ssi_regs_t *SPIx, uint32_t mask)
| Enable interrupt. More...
__STATIC_INLINE void | ll_spi_disable_it (ssi_regs_t *SPIx, uint32_t mask)
| Disable interrupt. More...
__STATIC_INLINE uint32_t | ll_spi_is_enabled_it (ssi_regs_t *SPIx, uint32_t mask)
| Check if interrupt is enabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_spi_disable_it()

__STATIC_INLINE void ll_spi_disable_it | ( | ssi_regs_t * | SPIx,
|  | uint32_t | mask
| ) |  |

Disable interrupt.

Note
  This bit controls the generation of an interrupt when an event occurs.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTMASK | INTMASK | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance
  mask | This parameter can be one of the following values: LL_SSI_IM_MST(not effect in SPIS) LL_SSI_IM_RXF LL_SSI_IM_RXO LL_SSI_IM_RXU LL_SSI_IM_TXO LL_SSI_IM_TXE

Return values

  None |

Definition at line 1646 of file gr55xx_ll_spi.h.

## ◆ ll_spi_enable_it()

__STATIC_INLINE void ll_spi_enable_it | ( | ssi_regs_t * | SPIx,
|  | uint32_t | mask
| ) |  |

Enable interrupt.

Note
  This bit controls the generation of an interrupt when an event occurs.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTMASK | INTMASK | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance
  mask | This parameter can be one of the following values: LL_SSI_IM_MST(not effect in SPIS) LL_SSI_IM_RXF LL_SSI_IM_RXO LL_SSI_IM_RXU LL_SSI_IM_TXO LL_SSI_IM_TXE

Return values

  None |

Definition at line 1619 of file gr55xx_ll_spi.h.

## ◆ ll_spi_is_enabled_it()

__STATIC_INLINE uint32_t ll_spi_is_enabled_it | ( | ssi_regs_t * | SPIx,
|  | uint32_t | mask
| ) |  |

Check if interrupt is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | INTMASK | INTMASK | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance
  mask | This parameter can be one of the following values: LL_SSI_IM_MST(not effect in SPIS) LL_SSI_IM_RXF LL_SSI_IM_RXO LL_SSI_IM_RXU LL_SSI_IM_TXO LL_SSI_IM_TXE

Return values

  State | of bit (1 or 0).

Definition at line 1672 of file gr55xx_ll_spi.h.